Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EOObjAttribute

    java.lang.Object
      org.apache.cayenne.map.Attribute
          org.apache.cayenne.map.ObjAttribute
              org.apache.cayenne.wocompat.EOObjAttribute

All Implemented Interfaces:
  Serializable, CayenneMapEntry, XMLSerializable

    public class EOObjAttribute

extends ObjAttribute

An ObjAttribute extension that accomodates EOModel attributes.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `readOnly`

Fields inherited from class org.apache.cayenne.map.ObjAttribute
`dbAttributePath, type, usedForLocking`

Fields inherited from class org.apache.cayenne.map.Attribute
`entity, name`

Constructor Summary
`EOObjAttribute()`
`EOObjAttribute(String name)`
`EOObjAttribute(String name, String type, ObjEntity parent)`

Method Summary
`boolean` | `getReadOnly()` Deprecated. since 2.0 use isReadOnly().
`boolean` | `isReadOnly()`
`void` | `setReadOnly(boolean readOnly)`

Methods inherited from class org.apache.cayenne.map.ObjAttribute
`encodeAsXML, getClientAttribute, getDbAttribute, getDbAttributeName, getDbAttributePath, getDbPathIterator, getDbPathIterator, getJavaClass, getMaxLength, getType, isCompound, isFlattened, isInherited, isMandatory, isPrimaryKey, isUsedForLocking, setDbAttribute, setDbAttributeName, setDbAttributePath, setType, setUsedForLocking`

Methods inherited from class org.apache.cayenne.map.Attribute
`getEntity, getName, getParent, setEntity, setName, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### readOnly

    protected boolean readOnly

Constructor Detail

### EOObjAttribute

    public EOObjAttribute()

### EOObjAttribute

    public EOObjAttribute(String name)

### EOObjAttribute

    public EOObjAttribute(String name,
                          String type,
                          ObjEntity parent)

Method Detail

### getReadOnly

    public boolean getReadOnly()

  Deprecated. since 2.0 use isReadOnly().

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.